Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype
Version: 21
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-9656 CVE-2014-9657 CVE-2014-9658 CVE-2014-9659 CVE-2014-9660 CVE-2014-9661 CVE-2014-9662 CVE-2014-9663 CVE-2014-9664 CVE-2014-9665 CVE-2014-9666 CVE-2014-9667 CVE-2014-9668 CVE-2014-9669 CVE-2014-9670 CVE-2014-9671
TreeView+ depends on / blocked
 
Reported: 2015-02-10 12:54 UTC by Vasyl Kaigorodov
Modified: 2015-02-20 08:30 UTC (History)
4 users (show)

Fixed In Version: freetype-2.5.0-9.fc20
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 18:00:25 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-02-10 12:54:57 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vasyl Kaigorodov 2015-02-10 12:55:01 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191078,1191099

# Description of your update
notes=Security fix for CVE-2014-9656

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191078,1191099

Comment 2 Vasyl Kaigorodov 2015-02-10 12:55:13 UTC
Adding parent bug 1191079 (for CVE-2014-9657).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191099,1191078,1191079

# Description of your update
notes=Security fix for CVE-2014-9656, CVE-2014-9657

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191099,1191078,1191079

Comment 3 Vasyl Kaigorodov 2015-02-10 12:55:28 UTC
Adding parent bug 1191080 (for CVE-2014-9658).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191099,1191078,1191079,1191080

# Description of your update
notes=Security fix for CVE-2014-9656, CVE-2014-9657, CVE-2014-9658

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191099,1191078,1191079,1191080

Comment 4 Vasyl Kaigorodov 2015-02-10 12:55:41 UTC
Adding parent bug 1191081 (for CVE-2014-9659).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191099,1191078,1191079,1191080,1191081

# Description of your update
notes=Security fix for CVE-2014-9656, CVE-2014-9657, CVE-2014-9658, CVE-2014-9659

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191099,1191078,1191079,1191080,1191081

Comment 5 Vasyl Kaigorodov 2015-02-10 12:55:52 UTC
Adding parent bug 1191082 (for CVE-2014-9660).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191099,1191078,1191079,1191080,1191081,1191082

# Description of your update
notes=Security fix for CVE-2014-9656, CVE-2014-9657, CVE-2014-9658, CVE-2014-9659, CVE-2014-9660

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191099,1191078,1191079,1191080,1191081,1191082

Comment 6 Vasyl Kaigorodov 2015-02-10 12:56:04 UTC
Adding parent bug 1191083 (for CVE-2014-9661).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083

# Description of your update
notes=Security fix for CVE-2014-9656, CVE-2014-9657, CVE-2014-9660, CVE-2014-9658, CVE-2014-9659, CVE-2014-9661

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083

Comment 7 Vasyl Kaigorodov 2015-02-10 12:56:16 UTC
Adding parent bug 1191084 (for CVE-2014-9662).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083

# Description of your update
notes=Security fix for CVE-2014-9656, CVE-2014-9657, CVE-2014-9661, CVE-2014-9660, CVE-2014-9658, CVE-2014-9659, CVE-2014-9662

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083

Comment 8 Vasyl Kaigorodov 2015-02-10 12:56:29 UTC
Adding parent bug 1191085 (for CVE-2014-9663).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083,1191084,1191085

# Description of your update
notes=Security fix for CVE-2014-9656, CVE-2014-9657, CVE-2014-9661, CVE-2014-9660, CVE-2014-9662, CVE-2014-9658, CVE-2014-9659, CVE-2014-9663

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083,1191084,1191085

Comment 9 Vasyl Kaigorodov 2015-02-10 12:56:40 UTC
Adding parent bug 1191086 (for CVE-2014-9664).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083,1191084,1191085,1191086

# Description of your update
notes=Security fix for CVE-2014-9656, CVE-2014-9657, CVE-2014-9661, CVE-2014-9660, CVE-2014-9662, CVE-2014-9658, CVE-2014-9659, CVE-2014-9663, CVE-2014-9664

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083,1191084,1191085,1191086

Comment 10 Vasyl Kaigorodov 2015-02-10 12:56:51 UTC
Adding parent bug 1191087 (for CVE-2014-9665).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083,1191084,1191085,1191086,1191087

# Description of your update
notes=Security fix for CVE-2014-9656, CVE-2014-9657, CVE-2014-9661, CVE-2014-9660, CVE-2014-9662, CVE-2014-9664, CVE-2014-9658, CVE-2014-9659, CVE-2014-9663, CVE-2014-9665

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083,1191084,1191085,1191086,1191087

Comment 11 Vasyl Kaigorodov 2015-02-10 12:57:03 UTC
Adding parent bug 1191089 (for CVE-2014-9666).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083,1191084,1191085,1191086,1191087,1191089

# Description of your update
notes=Security fix for CVE-2014-9656, CVE-2014-9657, CVE-2014-9661, CVE-2014-9660, CVE-2014-9665, CVE-2014-9664, CVE-2014-9662, CVE-2014-9658, CVE-2014-9659, CVE-2014-9663, CVE-2014-9666

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083,1191084,1191085,1191086,1191087,1191089

Comment 12 Vasyl Kaigorodov 2015-02-10 12:57:15 UTC
Adding parent bug 1191090 (for CVE-2014-9667).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083,1191084,1191085,1191086,1191087,1191089,1191090

# Description of your update
notes=Security fix for CVE-2014-9656, CVE-2014-9657, CVE-2014-9661, CVE-2014-9660, CVE-2014-9666, CVE-2014-9665, CVE-2014-9664, CVE-2014-9662, CVE-2014-9658, CVE-2014-9659, CVE-2014-9663, CVE-2014-9667

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083,1191084,1191085,1191086,1191087,1191089,1191090

Comment 13 Vasyl Kaigorodov 2015-02-10 12:57:28 UTC
Adding parent bug 1191091 (for CVE-2014-9668).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083,1191084,1191085,1191086,1191087,1191089,1191090,1191091

# Description of your update
notes=Security fix for CVE-2014-9656, CVE-2014-9657, CVE-2014-9661, CVE-2014-9660, CVE-2014-9667, CVE-2014-9666, CVE-2014-9665, CVE-2014-9664, CVE-2014-9662, CVE-2014-9658, CVE-2014-9659, CVE-2014-9663, CVE-2014-9668

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083,1191084,1191085,1191086,1191087,1191089,1191090,1191091

Comment 14 Vasyl Kaigorodov 2015-02-10 12:57:41 UTC
Adding parent bug 1191092 (for CVE-2014-9669).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083,1191084,1191085,1191086,1191087,1191089,1191090,1191091,1191092

# Description of your update
notes=Security fix for CVE-2014-9656, CVE-2014-9657, CVE-2014-9661, CVE-2014-9660, CVE-2014-9667, CVE-2014-9666, CVE-2014-9665, CVE-2014-9664, CVE-2014-9668, CVE-2014-9662, CVE-2014-9658, CVE-2014-9659, CVE-2014-9663, CVE-2014-9669

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083,1191084,1191085,1191086,1191087,1191089,1191090,1191091,1191092

Comment 15 Vasyl Kaigorodov 2015-02-10 12:57:54 UTC
Adding parent bug 1191093 (for CVE-2014-9670).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083,1191084,1191085,1191086,1191087,1191089,1191090,1191091,1191092,1191093

# Description of your update
notes=Security fix for CVE-2014-9656, CVE-2014-9657, CVE-2014-9661, CVE-2014-9660, CVE-2014-9667, CVE-2014-9666, CVE-2014-9665, CVE-2014-9664, CVE-2014-9669, CVE-2014-9668, CVE-2014-9662, CVE-2014-9658, CVE-2014-9659, CVE-2014-9663, CVE-2014-9670

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1191099,1191078,1191079,1191080,1191081,1191082,1191083,1191084,1191085,1191086,1191087,1191089,1191090,1191091,1191092,1191093

Comment 16 Fedora Update System 2015-02-17 14:43:43 UTC
freetype-2.5.0-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/freetype-2.5.0-9.fc20

Comment 17 Fedora Update System 2015-02-17 14:46:24 UTC
freetype-2.5.3-15.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/freetype-2.5.3-15.fc21

Comment 18 Marek Kašík 2015-02-17 14:53:38 UTC
I've pushed an update for the CVEs. The CVE-2014-9659 was already fixed in F20 and F21. I've included some other needed patches and the patches for the CVE-2014-9671 - CVE-2014-9673 there too.

Comment 19 Fedora Update System 2015-02-18 05:55:47 UTC
Package freetype-2.5.3-15.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freetype-2.5.3-15.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2237/freetype-2.5.3-15.fc21
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2015-02-19 18:00:25 UTC
freetype-2.5.3-15.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-02-20 08:30:32 UTC
freetype-2.5.0-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.